## akonadi-contacts 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")

project(Akonadi-Contact VERSION ${PIM_VERSION})

# ECM setup

set(KF_MIN_VERSION "6.6.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
src/*.cpp
src/*.h
serializers/*.cpp
serializers/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
src/*.cpp
src/*.h
serializers/*.cpp
serializers/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

include(ECMAddQch)



option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
set(KMIMELIB_VERSION "6.3.3")
set(AKONADI_VERSION "6.3.3")
set(GRANTLEETHEME_LIB_VERSION "6.3.3")
set(KTEXTADDONS_MIN_VERSION "1.5.4")

set(QT_REQUIRED_VERSION "6.7.0")
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test)
########### Find packages ###########
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Prison ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Mime ${KMIMELIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)

find_package(KPim6GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6TextTemplate CONFIG REQUIRED)

find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

############### Compilers flags ###############

if(MSVC)
    # This sets the __cplusplus macro to a real value based on the version of C++ specified by
    # the /std switch. Without it MSVC keeps reporting C++98, so feature detection doesn't work.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:__cplusplus")
endif()

########### Targets ###########


add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)


if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)
add_subdirectory(serializers)

ecm_qt_install_logging_categories(
        EXPORT AKONADICONTACTS
        FILE akonadi-contacts.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)


kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/akonadi-contacts-widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause



add_library(KPim6AkonadiContactWidgets)
add_library(KPim6::AkonadiContactWidgets ALIAS KPim6AkonadiContactWidgets)


ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICONTACT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-contacts-widgets_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiContactWidgetsConfigVersion.cmake"
    SOVERSION 6
)

ki18n_wrap_ui(akonadicontacts_widgets_UI_LIB_SRC contactgroupeditor.ui)

target_sources(KPim6AkonadiContactWidgets PRIVATE
    editor/customfieldeditor/customfieldswidget.cpp
    editor/customfieldeditor/customfieldeditorwidget.cpp
    editor/customfieldeditor/customfieldslistwidget.cpp
    editor/customfieldeditor/customfieldslistdelegate.cpp
    editor/customfieldeditor/customfieldsmodel.cpp
    editor/utils/utils.cpp
    editor/widgets/kwidgetlister.cpp
    editor/widgets/contacteditorcombobox.cpp
    editor/generalinfoeditor/phone/phonewidgetlister.cpp
    editor/generalinfoeditor/phone/phonewidget.cpp
    editor/generalinfoeditor/phone/phonelistwidget.cpp
    editor/generalinfoeditor/phone/phonecomboboxtype.cpp
    editor/generalinfoeditor/phone/phonetypedialog.cpp
    editor/generalinfoeditor/web/webwidgetlister.cpp
    editor/generalinfoeditor/web/weblistwidget.cpp
    editor/generalinfoeditor/web/webwidget.cpp
    editor/generalinfoeditor/web/webselecttypecombobox.cpp
    editor/generalinfoeditor/mail/maillistwidget.cpp
    editor/generalinfoeditor/mail/mailwidget.cpp
    editor/generalinfoeditor/mail/mailwidgetlister.cpp
    editor/generalinfoeditor/mail/mailtypecombobox.cpp
    editor/generalinfoeditor/messaging/messaginglistwidget.cpp
    editor/generalinfoeditor/messaging/messagingwidget.cpp
    editor/generalinfoeditor/messaging/messagingwidgetlister.cpp
    editor/generalinfoeditor/generalinfowidget.cpp
    editor/generalinfoeditor/namewidget.cpp
    editor/generalinfoeditor/nicknamewidget.cpp
    editor/generalinfoeditor/categorieseditwidget.cpp
    editor/generalinfoeditor/nameeditdialog.cpp
    editor/generalinfoeditor/displaynameeditwidget.cpp
    editor/generalinfoeditor/messageformattingwidget.cpp
    editor/generalinfoeditor/blogfeedwidget.cpp
    editor/addresseditor/addressdelegate.cpp
    editor/addresseditor/addressmodel.cpp
    editor/addresseditor/addresseslocationwidget.cpp
    editor/addresseditor/addresslocationwidget.cpp
    editor/addresseditor/addresstypedialog.cpp
    editor/addresseditor/selectaddresstypecombobox.cpp
    editor/personaleditor/personaleditorwidget.cpp
    editor/personaleditor/dateeditwidget.cpp
    editor/businesseditor/businesseditorwidget.cpp
    editor/businesseditor/freebusyeditwidget.cpp
    editor/contacteditorwidget.cpp
    editor/widgets/imagewidget.cpp
    editor/widgets/preferredlineeditwidget.cpp
    customfields.cpp
    customfieldmanager.cpp
    contactmetadatabase.cpp
    editor/addresseditor/addresslocationwidget.h
    editor/addresseditor/selectaddresstypecombobox.h
    editor/addresseditor/addresseslocationwidget.h
    editor/addresseditor/addressdelegate.h
    editor/addresseditor/addressmodel.h
    editor/addresseditor/addresstypedialog.h
    editor/utils/utils.h
    editor/generalinfoeditor/web/webwidgetlister.h
    editor/generalinfoeditor/web/weblistwidget.h
    editor/generalinfoeditor/web/webwidget.h
    editor/generalinfoeditor/web/webselecttypecombobox.h
    editor/generalinfoeditor/messageformattingwidget.h
    editor/generalinfoeditor/phone/phonelistwidget.h
    editor/generalinfoeditor/phone/phonetypedialog.h
    editor/generalinfoeditor/phone/phonewidget.h
    editor/generalinfoeditor/phone/phonewidgetlister.h
    editor/generalinfoeditor/phone/phonecomboboxtype.h
    editor/generalinfoeditor/messaging/messaginglistwidget.h
    editor/generalinfoeditor/messaging/messagingwidgetlister.h
    editor/generalinfoeditor/messaging/messagingwidget.h
    editor/generalinfoeditor/nicknamewidget.h
    editor/generalinfoeditor/mail/maillistwidget.h
    editor/generalinfoeditor/mail/mailwidget.h
    editor/generalinfoeditor/mail/mailtypecombobox.h
    editor/generalinfoeditor/mail/mailwidgetlister.h
    editor/generalinfoeditor/blogfeedwidget.h
    editor/generalinfoeditor/displaynameeditwidget.h
    editor/generalinfoeditor/namewidget.h
    editor/generalinfoeditor/categorieseditwidget.h
    editor/generalinfoeditor/nameeditdialog.h
    editor/generalinfoeditor/generalinfowidget.h
    editor/contacteditorwidget.h
    editor/customfieldeditor/customfieldsmodel.h
    editor/customfieldeditor/customfieldslistdelegate.h
    editor/customfieldeditor/customfieldswidget.h
    editor/customfieldeditor/customfieldslistwidget.h
    editor/customfieldeditor/customfieldeditorwidget.h
    editor/personaleditor/dateeditwidget.h
    editor/personaleditor/personaleditorwidget.h
    editor/widgets/imagewidget.h
    editor/widgets/kwidgetlister_p.h
    editor/widgets/preferredlineeditwidget.h
    editor/widgets/contacteditorcombobox.h
    editor/businesseditor/freebusyeditwidget.h
    editor/businesseditor/businesseditorwidget.h
    akonadi_contact_widgets_private_export.h
    contacteditorpageplugin.h
    abstractcontacteditorwidget_p.h
    customfieldmanager_p.h
    contactmetadatabase_p.h
    customfields_p.h

    contacteditordialog.cpp
    contacteditordialog.h

    contacteditor.cpp
    contacteditor.h

    standardcontactactionmanager.cpp
    standardcontactactionmanager.h

    contactviewer.cpp
    contactviewer.h

    contactviewerdialog.h
    contactviewerdialog.cpp

    contactmetadataakonadi.cpp
    contactmetadataakonadi_p.h

    contactgroupviewer.cpp
    contactgroupviewer.h

    textbrowser_p.h
    textbrowser.cpp
    grantlee/grantleecontactviewer.h
    grantlee/grantleecontactviewer.cpp

    # contact group editor
    contactgroupeditor_p.h
    contactgroupeditor.cpp
    contactgroupeditor.h
    contactgroupeditordialog.cpp
    contactgroupeditordialog.h
    contactgroupeditordelegate.cpp
    contactgroupeditordelegate_p.h
    
    waitingoverlay.cpp
    waitingoverlay_p.h
    
    abstractemailaddressselectiondialog.cpp
    abstractemailaddressselectiondialog.h
    emailaddressselectiondialog.cpp
    emailaddressselectiondialog.h
    emailaddressrequester.cpp
    emailaddressrequester.h
    emailaddressselectionwidget.cpp
    emailaddressselectionwidget.h
    ${akonadicontacts_widgets_UI_LIB_SRC}
)

target_sources(KPim6AkonadiContactWidgets PRIVATE
    job/addemailaddressjob.cpp
    job/addemaildisplayjob.cpp
    job/addemailaddressjob.h
    job/addemaildisplayjob.h
    job/addcontactjob.h
    job/addcontactjob.cpp
    job/openemailaddressjob.cpp
    job/openemailaddressjob.h
)

target_sources(KPim6AkonadiContactWidgets PRIVATE
    widgets/selectaddressbookdialog.cpp
    widgets/selectaddressbookdialog.h
)

target_sources(KPim6AkonadiContactWidgets PRIVATE
    recipientspicker/recipientseditormanager.cpp
    recipientspicker/recipientspickerwidget.cpp
    recipientspicker/recipientseditormanager.h
    recipientspicker/recipientspickerwidget.h
)


ecm_qt_declare_logging_category(KPim6AkonadiContactWidgets HEADER contacteditor_debug.h IDENTIFIER CONTACTEDITOR_LOG CATEGORY_NAME org.kde.pim.contacteditor
        DESCRIPTION "akonadicontact (contact editor)"
        EXPORT AKONADICONTACTS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6AkonadiContactWidgets PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KPim6AkonadiContactWidgets BASE_NAME akonadi-contact-widgets)


target_include_directories(KPim6AkonadiContactWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiContactWidgets>")
target_include_directories(KPim6AkonadiContactWidgets PUBLIC "$<BUILD_INTERFACE:${Akonadi-Contact_SOURCE_DIR}/src/akonadi-contacts-widgets;${Akonadi-Contact_BINARY_DIR}/src/akonadi-contacts-widgets>")

target_link_libraries(KPim6AkonadiContactWidgets
    PUBLIC
    KF6::Contacts
    Qt::Widgets
    KPim6::AkonadiContactCore
    PRIVATE
    KF6::Completion
    KF6::KIOWidgets
    KF6::I18n
    KF6::TextWidgets
    KF6::WidgetsAddons
    KPim6::AkonadiWidgets
    KF6::Prison
    KF6::XmlGui
    KF6::Codecs
    KF6::I18nLocaleData
)

set_target_properties(KPim6AkonadiContactWidgets PROPERTIES
    VERSION ${AKONADICONTACT_VERSION}
    SOVERSION ${AKONADICONTACT_SOVERSION}
    EXPORT_NAME AkonadiContactWidgets
)

install(TARGETS
    KPim6AkonadiContactWidgets
    EXPORT KPim6AkonadiContactWidgetsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)


ecm_generate_headers(AkonadiContactWidgets_CamelCase_HEADERS
    HEADER_NAMES
    ContactEditorPagePlugin
    ContactEditorDialog
    ContactEditor
    ContactViewer
    StandardContactActionManager
    ContactViewerDialog
    ContactGroupViewer
    ContactGroupEditor
    ContactGroupEditorDialog
    
    EmailAddressSelectionDialog
    AbstractEmailAddressSelectionDialog
    EmailAddressRequester
    EmailAddressSelectionWidget

    REQUIRED_HEADERS AkonadiContactWidgets_HEADERS
    PREFIX Akonadi
)

ecm_generate_headers(AkonadiContactWidgetsRecipients_CamelCase_HEADERS
    HEADER_NAMES
    RecipientsEditorManager
    RecipientsPickerWidget
    REQUIRED_HEADERS AkonadiContactWidgetsRecipients_HEADERS
    PREFIX Akonadi
    RELATIVE recipientspicker
)

ecm_generate_headers(AkonadiContactWidgetsGrantlee_CamelCase_HEADERS
    HEADER_NAMES
    GrantleeContactViewer
    REQUIRED_HEADERS AkonadiContactWidgetsGrantlee_HEADERS
    RELATIVE grantlee
    PREFIX Akonadi
)

ecm_generate_headers(AkonadiContactWidgetsWidgets_CamelCase_HEADERS
    HEADER_NAMES
    SelectAddressBookDialog
    REQUIRED_HEADERS AkonadiContactWidgetsWidgets_HEADERS
    PREFIX Akonadi
    RELATIVE widgets
)

ecm_generate_headers(AkonadiContactWidgetsJob_CamelCase_HEADERS
    HEADER_NAMES
    AddEmailAddressJob
    AddEmailDisplayJob
    AddContactJob
    OpenEmailAddressJob
    REQUIRED_HEADERS AkonadiContactWidgetsJob_HEADERS
    PREFIX Akonadi
    RELATIVE job
)


install(FILES
    ${AkonadiContactWidgets_CamelCase_HEADERS}
    ${AkonadiContactWidgetsJob_CamelCase_HEADERS}
    ${AkonadiContactWidgetsRecipients_CamelCase_HEADERS}
    ${AkonadiContactWidgetsWidgets_CamelCase_HEADERS}
    ${AkonadiContactWidgetsGrantlee_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiContactWidgets/Akonadi COMPONENT Devel
)

install(FILES
    ${AkonadiContactWidgets_HEADERS}
    ${AkonadiContactWidgetsJob_HEADERS}
    ${AkonadiContactWidgetsWidgets_HEADERS}
    ${AkonadiContactWidgetsRecipients_HEADERS}
    ${AkonadiContactWidgetsGrantlee_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact-widgets_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiContactWidgets/akonadi COMPONENT Devel
)



if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(editor/addresseditor/autotests/)
    add_subdirectory(editor/generalinfoeditor/autotests/)
    add_subdirectory(editor/generalinfoeditor/tests)
    add_subdirectory(editor/customfieldeditor/autotests/)
    add_subdirectory(editor/customfieldeditor/tests)
    add_subdirectory(editor/widgets/autotests/)
endif()

install(FILES editor/pics/world.jpg DESTINATION ${KDE_INSTALL_DATADIR_KF}/akonadi/contact/pics)
install(FILES editor/data/zone.tab DESTINATION ${KDE_INSTALL_DATADIR_KF}/akonadi/contact/data)

if(BUILD_QCH)
    ecm_add_qch(
        KPim6AkonadiContactWidgets_QCH
        NAME KPim6AkonadiContactWidgets
        BASE_NAME KPim6AkonadiContactWidgets
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${AkonadiContactWidgets_HEADERS}
        ${AkonadiContactWidgetsRecipients_HEADERS}
        ${AkonadiContactWidgetsGrantlee_HEADERS}
        ${AkonadiContactWidgetsJob_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH

=== src/akonadi-contacts-widgets/editor/generalinfoeditor/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMMarkAsTest)

set(phonewidgettest_SRCS phonewidgettest.cpp phonewidgettest.h)
add_executable(phonewidgettest ${phonewidgettest_SRCS})
add_test(NAME phonewidgettest COMMAND phonewidgettest)
ecm_mark_as_test(phonewidgettest)
target_link_libraries(phonewidgettest Qt::Test  KPim6::AkonadiContactWidgets KF6::Contacts KF6::I18n KF6::Completion)


set(mailwidgettest_SRCS mailwidgettest.cpp mailwidgettest.h)
add_executable(mailwidgettest ${mailwidgettest_SRCS})
add_test(NAME mailwidgettest COMMAND mailwidgettest)
ecm_mark_as_test(mailwidgettest)
target_link_libraries(mailwidgettest Qt::Test KPim6::AkonadiContactWidgets KF6::Contacts KF6::I18n KF6::Completion)

set(messagingwidgettest_SRCS messagingwidgettest.cpp messagingwidgettest.h ../../widgets/preferredlineeditwidget.cpp)
add_executable(messagingwidgettest ${messagingwidgettest_SRCS})
add_test(NAME messagingwidgettest COMMAND messagingwidgettest)
ecm_mark_as_test(messagingwidgettest)
target_link_libraries(messagingwidgettest Qt::Test KPim6::AkonadiContactWidgets KF6::Contacts KF6::I18n KF6::Completion KF6::Service)



set(contactselecttypecomboboxtest_SRCS contactselecttypecomboboxtest.cpp contactselecttypecomboboxtest.h)
add_executable(contactselecttypecomboboxtest ${contactselecttypecomboboxtest_SRCS})
add_test(NAME contactselecttypecomboboxtest COMMAND contactselecttypecomboboxtest)
ecm_mark_as_test(contactselecttypecomboboxtest)
target_link_libraries(contactselecttypecomboboxtest Qt::Test  Qt::Widgets KPim6::AkonadiContactWidgets KF6::I18n)


set(nicknamewidgettest_SRCS nicknamewidgettest.cpp nicknamewidgettest.h)
add_executable(nicknamewidgettest ${nicknamewidgettest_SRCS})
add_test(NAME nicknamewidgettest COMMAND nicknamewidgettest)
ecm_mark_as_test(nicknamewidgettest)
target_link_libraries(nicknamewidgettest Qt::Test  Qt::Widgets KPim6::AkonadiContactWidgets KF6::I18n KF6::Completion)

set(blogfeedwidgettest_SRCS blogfeedwidgettest.cpp blogfeedwidgettest.h)
add_executable(blogfeedwidgettest ${blogfeedwidgettest_SRCS})
add_test(NAME blogfeedwidgettest COMMAND blogfeedwidgettest)
ecm_mark_as_test(blogfeedwidgettest)
target_link_libraries(blogfeedwidgettest Qt::Test  Qt::Widgets KPim6::AkonadiContactWidgets KF6::I18n KF6::Completion)


set(messageformattingwidgettest_SRCS messageformattingwidgettest.cpp messageformattingwidgettest.h)
add_executable(messageformattingwidgettest ${messageformattingwidgettest_SRCS})
add_test(NAME messageformattingwidgettest COMMAND messageformattingwidgettest)
ecm_mark_as_test(messageformattingwidgettest)
target_link_libraries(messageformattingwidgettest Qt::Test  Qt::Widgets KPim6::AkonadiContactWidgets KF6::I18n)

=== src/akonadi-contacts-widgets/editor/generalinfoeditor/tests/CMakeLists.txt ===
set(generalinfoeditor_SRCS
    main.cpp
    ../generalinfowidget.cpp
    ../../widgets/kwidgetlister.cpp
    ../web/webwidgetlister.cpp
    ../web/weblistwidget.cpp
    ../web/webwidget.cpp
    ../mail/maillistwidget.cpp
    ../mail/mailwidgetlister.cpp
    ../messaging/messaginglistwidget.cpp
    ../messaging/messagingwidgetlister.cpp
    ../../widgets/imagewidget.cpp
    ../namewidget.cpp
    ../../utils/utils.cpp
    ../categorieseditwidget.cpp
    ../nameeditdialog.cpp
    ../../widgets/preferredlineeditwidget.cpp
    ../displaynameeditwidget.cpp
)

add_executable(generalinfoeditortest ${generalinfoeditor_SRCS})

target_link_libraries(generalinfoeditortest
    Qt::Widgets
    KPim6::AkonadiContactWidgets
    KF6::Contacts
    KF6::I18n
    KF6::Completion
    KF6::IconThemes
    KF6::WidgetsAddons
    KF6::KIOCore
    KPim6::AkonadiWidgets
)

=== src/akonadi-contacts-widgets/editor/widgets/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(preferredlineeditwidgettest_SRCS preferredlineeditwidgettest.cpp preferredlineeditwidgettest.h ../preferredlineeditwidget.cpp)
add_executable(preferredlineeditwidgettest ${preferredlineeditwidgettest_SRCS})
add_test(NAME preferredlineeditwidgettest COMMAND preferredlineeditwidgettest)
ecm_mark_as_test(preferredlineeditwidgettest)
target_link_libraries(preferredlineeditwidgettest Qt::Test Qt::Widgets KF6::Completion KF6::I18n)

=== debian/changelog ===
akonadi-contacts (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:49:25 +0100

=== debian/control ===
Source: akonadi-contacts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:24.12.3~),
               libgrantleetheme-dev (>= 24.12.3~),
               libgrantleetheme-plugins,
               libkf6codecs-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6prison-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkmime-dev (>= 24.12.3~),
               libktextaddons-dev (>= 1.5.4~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/akonadi-contacts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-contacts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-contacts.git
Rules-Requires-Root: no

Package: akonadi-contacts-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Akonadi contacts access library - data files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the data files.

Package: libakonadicontact-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libakonadi-dev (>= 4:24.12.3~),
         libgrantleetheme-dev (>= 24.12.3~),
         libkf6contacts-dev (>= 6.6.0~),
         libkpim6akonadicontactcore6 (= ${binary:Version}),
         libkpim6akonadicontactwidgets6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkpim6akonadicontactcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contacts access library - core library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6akonadicontactwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contact access library - widgets library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## akonadi-contacts 25.07.80

=== debian/changelog ===
akonadi-contacts (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:38:45 +0100

akonadi-contacts (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:32:57 +0100

akonadi-contacts (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:34:37 +0100

akonadi-contacts (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:58:16 +0100

akonadi-contacts (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:38:16 +0100

akonadi-contacts (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: akonadi-contacts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.3~),
-               libgrantleetheme-dev (>= 24.12.3~),
-               libgrantleetheme-plugins,
+               libakonadi-dev (>= 4:25.07.80~),
+               libgrantleetheme-dev (>= 25.07.80~),
+               libgrantleetheme-plugins (>= 25.07.80~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.3.0~),
@@ -31,16 +32,16 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.3~),
+               libkmime-dev (>= 25.07.80~),
                libktextaddons-dev (>= 1.5.4~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/akonadi-contacts
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-contacts
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-contacts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-contacts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-contacts
 Rules-Requires-Root: no
 
 Package: akonadi-contacts-data
@@ -60,8 +61,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.3~),
-         libgrantleetheme-dev (>= 24.12.3~),
+Depends: libakonadi-dev (>= 4:25.07.80~),
+         libgrantleetheme-dev (>= 25.07.80~),
          libkf6contacts-dev (>= 6.6.0~),
          libkpim6akonadicontactcore6 (= ${binary:Version}),
          libkpim6akonadicontactwidgets6 (= ${binary:Version}),

## akonadi-contacts 25.07.90

=== debian/changelog ===
akonadi-contacts (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:24:52 +0100

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.80~),
-               libgrantleetheme-dev (>= 25.07.80~),
-               libgrantleetheme-plugins (>= 25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
+               libgrantleetheme-dev (>= 25.07.90~),
+               libgrantleetheme-plugins (>= 25.07.90~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.3.0~),
@@ -32,7 +32,7 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.90~),
                libktextaddons-dev (>= 1.5.4~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
@@ -61,8 +61,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.07.80~),
-         libgrantleetheme-dev (>= 25.07.80~),
+Depends: libakonadi-dev (>= 4:25.07.90~),
+         libgrantleetheme-dev (>= 25.07.90~),
          libkf6contacts-dev (>= 6.6.0~),
          libkpim6akonadicontactcore6 (= ${binary:Version}),
          libkpim6akonadicontactwidgets6 (= ${binary:Version}),

## akonadi-contacts 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.3.3")
+set(PIM_VERSION "6.5.0")
 
 project(Akonadi-Contact VERSION ${PIM_VERSION})
 
 # ECM setup
 
-set(KF_MIN_VERSION "6.6.0")
+set(KF_MIN_VERSION "6.14.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -20,46 +20,67 @@
 include(ECMGenerateHeaders)
 
 include(ECMSetupVersion)
-include(FeatureSummary)
-include(KDEGitCommitHooks)
-include(KDEClangFormat)
-file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
-src/*.cpp
-src/*.h
-serializers/*.cpp
-serializers/*.h
+file(
+    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
+    src/*.cpp
+    src/*.h
+    serializers/*.cpp
+    serializers/*.h
 )
-kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+set(PRE_COMMIT_INSTALLED FALSE)
+if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
+    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
+        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
+        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
+        if(${INDEX} GREATER_EQUAL 0)
+            set(PRE_COMMIT_INSTALLED TRUE)
+        endif()
+    endif()
+endif()
+if(NOT ${PRE_COMMIT_INSTALLED})
+    include(KDEGitCommitHooks)
+    include(KDEClangFormat)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+endif()
 
 include(ECMInstallIcons)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 include(ECMCheckOutboundLicense)
-file(GLOB_RECURSE ALL_SOURCE_FILES
-src/*.cpp
-src/*.h
-serializers/*.cpp
-serializers/*.h
+file(
+    GLOB_RECURSE ALL_SOURCE_FILES
+    src/*.cpp
+    src/*.h
+    serializers/*.cpp
+    serializers/*.h
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 include(ECMAddQch)
 
-
-
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
-
+add_feature_info(
+    QCH
+    ${BUILD_QCH}
+    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
+)
 
 set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
-set(KMIMELIB_VERSION "6.3.3")
-set(AKONADI_VERSION "6.3.3")
-set(GRANTLEETHEME_LIB_VERSION "6.3.3")
-set(KTEXTADDONS_MIN_VERSION "1.5.4")
+set(KMIMELIB_VERSION "6.5.0")
+set(AKONADI_VERSION "6.5.0")
+set(GRANTLEETHEME_LIB_VERSION "6.5.0")
+set(KTEXTADDONS_MIN_VERSION "1.6.0")
 
-set(QT_REQUIRED_VERSION "6.7.0")
-find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test)
+set(QT_REQUIRED_VERSION "6.8.0")
+find_package(
+    Qt6
+    ${QT_REQUIRED_VERSION}
+    CONFIG
+    REQUIRED
+        Widgets
+        Test
+)
 ########### Find packages ###########
 find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -73,7 +94,7 @@
 find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6Prison ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
-
+find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 find_package(KPim6Mime ${KMIMELIB_VERSION} CONFIG REQUIRED)
@@ -95,13 +116,11 @@
 
 ########### Targets ###########
 
-
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)
-
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
 
 if(BUILD_TESTING)
-   add_definitions(-DBUILD_TESTING)
+    add_definitions(-DBUILD_TESTING)
 endif()
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
 
@@ -119,7 +138,8 @@
         DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
 )
 
-
-kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+if(DEFINED kde_configure_git_pre_commit_hook)
+    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+endif()
 ki18n_install(po)
 ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
akonadi-contacts (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:47:02 +0100

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.90~),
-               libgrantleetheme-dev (>= 25.07.90~),
-               libgrantleetheme-plugins (>= 25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
+               libgrantleetheme-dev (>= 25.08.0~),
+               libgrantleetheme-plugins (>= 25.08.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.3.0~),
@@ -32,7 +32,7 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.08.0~),
                libktextaddons-dev (>= 1.5.4~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
@@ -61,8 +61,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.07.90~),
-         libgrantleetheme-dev (>= 25.07.90~),
+Depends: libakonadi-dev (>= 4:25.08.0~),
+         libgrantleetheme-dev (>= 25.08.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkpim6akonadicontactcore6 (= ${binary:Version}),
          libkpim6akonadicontactwidgets6 (= ${binary:Version}),
